--- a/libretroBuildSystem/libretro.c	2023-05-28 00:38:29.000000000 +0200
+++ b/libretroBuildSystem/libretro.c	2023-10-02 23:55:34.720516614 +0200
@@ -660,7 +660,7 @@
    
    //ROM
    strlcpy(romPath, systemDir, PATH_MAX_LENGTH);
-   strlcat(romPath, "/", PATH_MAX_LENGTH);
+   strlcat(romPath, "/palm/", PATH_MAX_LENGTH);
    strlcat(romPath, osVersion, PATH_MAX_LENGTH);
    strlcat(romPath, ".rom", PATH_MAX_LENGTH);
    romFile = filestream_open(romPath, RETRO_VFS_FILE_ACCESS_READ, RETRO_VFS_FILE_ACCESS_HINT_NONE);
@@ -681,7 +681,7 @@
    
    //bootloader, will simply be ignored for Tungsten T3
    strlcpy(bootloaderPath, systemDir, PATH_MAX_LENGTH);
-   strlcat(bootloaderPath, "/bootloader-dbvz.rom", PATH_MAX_LENGTH);
+   strlcat(bootloaderPath, "/palm/bootloader-dbvz.rom", PATH_MAX_LENGTH);
    bootloaderFile = filestream_open(bootloaderPath, RETRO_VFS_FILE_ACCESS_READ, RETRO_VFS_FILE_ACCESS_HINT_NONE);
    if(bootloaderFile){
       bootloaderSize = filestream_get_size(bootloaderFile);
